import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { CreateDataMigrationMessageFilterSensitiveLog, CreateDataMigrationResponseFilterSensitiveLog, } from "../models/models_0";
import { de_CreateDataMigrationCommand, se_CreateDataMigrationCommand } from "../protocols/Aws_json1_1";
export { $Command };
export class CreateDataMigrationCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AmazonDMSv20160101", "CreateDataMigration", {})
    .n("DatabaseMigrationServiceClient", "CreateDataMigrationCommand")
    .f(CreateDataMigrationMessageFilterSensitiveLog, CreateDataMigrationResponseFilterSensitiveLog)
    .ser(se_CreateDataMigrationCommand)
    .de(de_CreateDataMigrationCommand)
    .build() {
}
