import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_DeleteDataProviderCommand, se_DeleteDataProviderCommand } from "../protocols/Aws_json1_1";
export { $Command };
export class DeleteDataProviderCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AmazonDMSv20160101", "DeleteDataProvider", {})
    .n("DatabaseMigrationServiceClient", "DeleteDataProviderCommand")
    .f(void 0, void 0)
    .ser(se_DeleteDataProviderCommand)
    .de(de_DeleteDataProviderCommand)
    .build() {
}
