import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_DescribeReplicationTaskIndividualAssessmentsCommand, se_DescribeReplicationTaskIndividualAssessmentsCommand, } from "../protocols/Aws_json1_1";
export { $Command };
export class DescribeReplicationTaskIndividualAssessmentsCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AmazonDMSv20160101", "DescribeReplicationTaskIndividualAssessments", {})
    .n("DatabaseMigrationServiceClient", "DescribeReplicationTaskIndividualAssessmentsCommand")
    .f(void 0, void 0)
    .ser(se_DescribeReplicationTaskIndividualAssessmentsCommand)
    .de(de_DescribeReplicationTaskIndividualAssessmentsCommand)
    .build() {
}
