import { HttpRequest as __HttpRequest, HttpResponse as __HttpResponse } from "@smithy/protocol-http";
import { SerdeContext as __SerdeContext } from "@smithy/types";
import { AddTagsToResourceCommandInput, AddTagsToResourceCommandOutput } from "../commands/AddTagsToResourceCommand";
import { ApplyPendingMaintenanceActionCommandInput, ApplyPendingMaintenanceActionCommandOutput } from "../commands/ApplyPendingMaintenanceActionCommand";
import { BatchStartRecommendationsCommandInput, BatchStartRecommendationsCommandOutput } from "../commands/BatchStartRecommendationsCommand";
import { CancelReplicationTaskAssessmentRunCommandInput, CancelReplicationTaskAssessmentRunCommandOutput } from "../commands/CancelReplicationTaskAssessmentRunCommand";
import { CreateDataMigrationCommandInput, CreateDataMigrationCommandOutput } from "../commands/CreateDataMigrationCommand";
import { CreateDataProviderCommandInput, CreateDataProviderCommandOutput } from "../commands/CreateDataProviderCommand";
import { CreateEndpointCommandInput, CreateEndpointCommandOutput } from "../commands/CreateEndpointCommand";
import { CreateEventSubscriptionCommandInput, CreateEventSubscriptionCommandOutput } from "../commands/CreateEventSubscriptionCommand";
import { CreateFleetAdvisorCollectorCommandInput, CreateFleetAdvisorCollectorCommandOutput } from "../commands/CreateFleetAdvisorCollectorCommand";
import { CreateInstanceProfileCommandInput, CreateInstanceProfileCommandOutput } from "../commands/CreateInstanceProfileCommand";
import { CreateMigrationProjectCommandInput, CreateMigrationProjectCommandOutput } from "../commands/CreateMigrationProjectCommand";
import { CreateReplicationConfigCommandInput, CreateReplicationConfigCommandOutput } from "../commands/CreateReplicationConfigCommand";
import { CreateReplicationInstanceCommandInput, CreateReplicationInstanceCommandOutput } from "../commands/CreateReplicationInstanceCommand";
import { CreateReplicationSubnetGroupCommandInput, CreateReplicationSubnetGroupCommandOutput } from "../commands/CreateReplicationSubnetGroupCommand";
import { CreateReplicationTaskCommandInput, CreateReplicationTaskCommandOutput } from "../commands/CreateReplicationTaskCommand";
import { DeleteCertificateCommandInput, DeleteCertificateCommandOutput } from "../commands/DeleteCertificateCommand";
import { DeleteConnectionCommandInput, DeleteConnectionCommandOutput } from "../commands/DeleteConnectionCommand";
import { DeleteDataMigrationCommandInput, DeleteDataMigrationCommandOutput } from "../commands/DeleteDataMigrationCommand";
import { DeleteDataProviderCommandInput, DeleteDataProviderCommandOutput } from "../commands/DeleteDataProviderCommand";
import { DeleteEndpointCommandInput, DeleteEndpointCommandOutput } from "../commands/DeleteEndpointCommand";
import { DeleteEventSubscriptionCommandInput, DeleteEventSubscriptionCommandOutput } from "../commands/DeleteEventSubscriptionCommand";
import { DeleteFleetAdvisorCollectorCommandInput, DeleteFleetAdvisorCollectorCommandOutput } from "../commands/DeleteFleetAdvisorCollectorCommand";
import { DeleteFleetAdvisorDatabasesCommandInput, DeleteFleetAdvisorDatabasesCommandOutput } from "../commands/DeleteFleetAdvisorDatabasesCommand";
import { DeleteInstanceProfileCommandInput, DeleteInstanceProfileCommandOutput } from "../commands/DeleteInstanceProfileCommand";
import { DeleteMigrationProjectCommandInput, DeleteMigrationProjectCommandOutput } from "../commands/DeleteMigrationProjectCommand";
import { DeleteReplicationConfigCommandInput, DeleteReplicationConfigCommandOutput } from "../commands/DeleteReplicationConfigCommand";
import { DeleteReplicationInstanceCommandInput, DeleteReplicationInstanceCommandOutput } from "../commands/DeleteReplicationInstanceCommand";
import { DeleteReplicationSubnetGroupCommandInput, DeleteReplicationSubnetGroupCommandOutput } from "../commands/DeleteReplicationSubnetGroupCommand";
import { DeleteReplicationTaskAssessmentRunCommandInput, DeleteReplicationTaskAssessmentRunCommandOutput } from "../commands/DeleteReplicationTaskAssessmentRunCommand";
import { DeleteReplicationTaskCommandInput, DeleteReplicationTaskCommandOutput } from "../commands/DeleteReplicationTaskCommand";
import { DescribeAccountAttributesCommandInput, DescribeAccountAttributesCommandOutput } from "../commands/DescribeAccountAttributesCommand";
import { DescribeApplicableIndividualAssessmentsCommandInput, DescribeApplicableIndividualAssessmentsCommandOutput } from "../commands/DescribeApplicableIndividualAssessmentsCommand";
import { DescribeCertificatesCommandInput, DescribeCertificatesCommandOutput } from "../commands/DescribeCertificatesCommand";
import { DescribeConnectionsCommandInput, DescribeConnectionsCommandOutput } from "../commands/DescribeConnectionsCommand";
import { DescribeConversionConfigurationCommandInput, DescribeConversionConfigurationCommandOutput } from "../commands/DescribeConversionConfigurationCommand";
import { DescribeDataMigrationsCommandInput, DescribeDataMigrationsCommandOutput } from "../commands/DescribeDataMigrationsCommand";
import { DescribeDataProvidersCommandInput, DescribeDataProvidersCommandOutput } from "../commands/DescribeDataProvidersCommand";
import { DescribeEndpointsCommandInput, DescribeEndpointsCommandOutput } from "../commands/DescribeEndpointsCommand";
import { DescribeEndpointSettingsCommandInput, DescribeEndpointSettingsCommandOutput } from "../commands/DescribeEndpointSettingsCommand";
import { DescribeEndpointTypesCommandInput, DescribeEndpointTypesCommandOutput } from "../commands/DescribeEndpointTypesCommand";
import { DescribeEngineVersionsCommandInput, DescribeEngineVersionsCommandOutput } from "../commands/DescribeEngineVersionsCommand";
import { DescribeEventCategoriesCommandInput, DescribeEventCategoriesCommandOutput } from "../commands/DescribeEventCategoriesCommand";
import { DescribeEventsCommandInput, DescribeEventsCommandOutput } from "../commands/DescribeEventsCommand";
import { DescribeEventSubscriptionsCommandInput, DescribeEventSubscriptionsCommandOutput } from "../commands/DescribeEventSubscriptionsCommand";
import { DescribeExtensionPackAssociationsCommandInput, DescribeExtensionPackAssociationsCommandOutput } from "../commands/DescribeExtensionPackAssociationsCommand";
import { DescribeFleetAdvisorCollectorsCommandInput, DescribeFleetAdvisorCollectorsCommandOutput } from "../commands/DescribeFleetAdvisorCollectorsCommand";
import { DescribeFleetAdvisorDatabasesCommandInput, DescribeFleetAdvisorDatabasesCommandOutput } from "../commands/DescribeFleetAdvisorDatabasesCommand";
import { DescribeFleetAdvisorLsaAnalysisCommandInput, DescribeFleetAdvisorLsaAnalysisCommandOutput } from "../commands/DescribeFleetAdvisorLsaAnalysisCommand";
import { DescribeFleetAdvisorSchemaObjectSummaryCommandInput, DescribeFleetAdvisorSchemaObjectSummaryCommandOutput } from "../commands/DescribeFleetAdvisorSchemaObjectSummaryCommand";
import { DescribeFleetAdvisorSchemasCommandInput, DescribeFleetAdvisorSchemasCommandOutput } from "../commands/DescribeFleetAdvisorSchemasCommand";
import { DescribeInstanceProfilesCommandInput, DescribeInstanceProfilesCommandOutput } from "../commands/DescribeInstanceProfilesCommand";
import { DescribeMetadataModelAssessmentsCommandInput, DescribeMetadataModelAssessmentsCommandOutput } from "../commands/DescribeMetadataModelAssessmentsCommand";
import { DescribeMetadataModelConversionsCommandInput, DescribeMetadataModelConversionsCommandOutput } from "../commands/DescribeMetadataModelConversionsCommand";
import { DescribeMetadataModelExportsAsScriptCommandInput, DescribeMetadataModelExportsAsScriptCommandOutput } from "../commands/DescribeMetadataModelExportsAsScriptCommand";
import { DescribeMetadataModelExportsToTargetCommandInput, DescribeMetadataModelExportsToTargetCommandOutput } from "../commands/DescribeMetadataModelExportsToTargetCommand";
import { DescribeMetadataModelImportsCommandInput, DescribeMetadataModelImportsCommandOutput } from "../commands/DescribeMetadataModelImportsCommand";
import { DescribeMigrationProjectsCommandInput, DescribeMigrationProjectsCommandOutput } from "../commands/DescribeMigrationProjectsCommand";
import { DescribeOrderableReplicationInstancesCommandInput, DescribeOrderableReplicationInstancesCommandOutput } from "../commands/DescribeOrderableReplicationInstancesCommand";
import { DescribePendingMaintenanceActionsCommandInput, DescribePendingMaintenanceActionsCommandOutput } from "../commands/DescribePendingMaintenanceActionsCommand";
import { DescribeRecommendationLimitationsCommandInput, DescribeRecommendationLimitationsCommandOutput } from "../commands/DescribeRecommendationLimitationsCommand";
import { DescribeRecommendationsCommandInput, DescribeRecommendationsCommandOutput } from "../commands/DescribeRecommendationsCommand";
import { DescribeRefreshSchemasStatusCommandInput, DescribeRefreshSchemasStatusCommandOutput } from "../commands/DescribeRefreshSchemasStatusCommand";
import { DescribeReplicationConfigsCommandInput, DescribeReplicationConfigsCommandOutput } from "../commands/DescribeReplicationConfigsCommand";
import { DescribeReplicationInstancesCommandInput, DescribeReplicationInstancesCommandOutput } from "../commands/DescribeReplicationInstancesCommand";
import { DescribeReplicationInstanceTaskLogsCommandInput, DescribeReplicationInstanceTaskLogsCommandOutput } from "../commands/DescribeReplicationInstanceTaskLogsCommand";
import { DescribeReplicationsCommandInput, DescribeReplicationsCommandOutput } from "../commands/DescribeReplicationsCommand";
import { DescribeReplicationSubnetGroupsCommandInput, DescribeReplicationSubnetGroupsCommandOutput } from "../commands/DescribeReplicationSubnetGroupsCommand";
import { DescribeReplicationTableStatisticsCommandInput, DescribeReplicationTableStatisticsCommandOutput } from "../commands/DescribeReplicationTableStatisticsCommand";
import { DescribeReplicationTaskAssessmentResultsCommandInput, DescribeReplicationTaskAssessmentResultsCommandOutput } from "../commands/DescribeReplicationTaskAssessmentResultsCommand";
import { DescribeReplicationTaskAssessmentRunsCommandInput, DescribeReplicationTaskAssessmentRunsCommandOutput } from "../commands/DescribeReplicationTaskAssessmentRunsCommand";
import { DescribeReplicationTaskIndividualAssessmentsCommandInput, DescribeReplicationTaskIndividualAssessmentsCommandOutput } from "../commands/DescribeReplicationTaskIndividualAssessmentsCommand";
import { DescribeReplicationTasksCommandInput, DescribeReplicationTasksCommandOutput } from "../commands/DescribeReplicationTasksCommand";
import { DescribeSchemasCommandInput, DescribeSchemasCommandOutput } from "../commands/DescribeSchemasCommand";
import { DescribeTableStatisticsCommandInput, DescribeTableStatisticsCommandOutput } from "../commands/DescribeTableStatisticsCommand";
import { ExportMetadataModelAssessmentCommandInput, ExportMetadataModelAssessmentCommandOutput } from "../commands/ExportMetadataModelAssessmentCommand";
import { ImportCertificateCommandInput, ImportCertificateCommandOutput } from "../commands/ImportCertificateCommand";
import { ListTagsForResourceCommandInput, ListTagsForResourceCommandOutput } from "../commands/ListTagsForResourceCommand";
import { ModifyConversionConfigurationCommandInput, ModifyConversionConfigurationCommandOutput } from "../commands/ModifyConversionConfigurationCommand";
import { ModifyDataMigrationCommandInput, ModifyDataMigrationCommandOutput } from "../commands/ModifyDataMigrationCommand";
import { ModifyDataProviderCommandInput, ModifyDataProviderCommandOutput } from "../commands/ModifyDataProviderCommand";
import { ModifyEndpointCommandInput, ModifyEndpointCommandOutput } from "../commands/ModifyEndpointCommand";
import { ModifyEventSubscriptionCommandInput, ModifyEventSubscriptionCommandOutput } from "../commands/ModifyEventSubscriptionCommand";
import { ModifyInstanceProfileCommandInput, ModifyInstanceProfileCommandOutput } from "../commands/ModifyInstanceProfileCommand";
import { ModifyMigrationProjectCommandInput, ModifyMigrationProjectCommandOutput } from "../commands/ModifyMigrationProjectCommand";
import { ModifyReplicationConfigCommandInput, ModifyReplicationConfigCommandOutput } from "../commands/ModifyReplicationConfigCommand";
import { ModifyReplicationInstanceCommandInput, ModifyReplicationInstanceCommandOutput } from "../commands/ModifyReplicationInstanceCommand";
import { ModifyReplicationSubnetGroupCommandInput, ModifyReplicationSubnetGroupCommandOutput } from "../commands/ModifyReplicationSubnetGroupCommand";
import { ModifyReplicationTaskCommandInput, ModifyReplicationTaskCommandOutput } from "../commands/ModifyReplicationTaskCommand";
import { MoveReplicationTaskCommandInput, MoveReplicationTaskCommandOutput } from "../commands/MoveReplicationTaskCommand";
import { RebootReplicationInstanceCommandInput, RebootReplicationInstanceCommandOutput } from "../commands/RebootReplicationInstanceCommand";
import { RefreshSchemasCommandInput, RefreshSchemasCommandOutput } from "../commands/RefreshSchemasCommand";
import { ReloadReplicationTablesCommandInput, ReloadReplicationTablesCommandOutput } from "../commands/ReloadReplicationTablesCommand";
import { ReloadTablesCommandInput, ReloadTablesCommandOutput } from "../commands/ReloadTablesCommand";
import { RemoveTagsFromResourceCommandInput, RemoveTagsFromResourceCommandOutput } from "../commands/RemoveTagsFromResourceCommand";
import { RunFleetAdvisorLsaAnalysisCommandInput, RunFleetAdvisorLsaAnalysisCommandOutput } from "../commands/RunFleetAdvisorLsaAnalysisCommand";
import { StartDataMigrationCommandInput, StartDataMigrationCommandOutput } from "../commands/StartDataMigrationCommand";
import { StartExtensionPackAssociationCommandInput, StartExtensionPackAssociationCommandOutput } from "../commands/StartExtensionPackAssociationCommand";
import { StartMetadataModelAssessmentCommandInput, StartMetadataModelAssessmentCommandOutput } from "../commands/StartMetadataModelAssessmentCommand";
import { StartMetadataModelConversionCommandInput, StartMetadataModelConversionCommandOutput } from "../commands/StartMetadataModelConversionCommand";
import { StartMetadataModelExportAsScriptCommandInput, StartMetadataModelExportAsScriptCommandOutput } from "../commands/StartMetadataModelExportAsScriptCommand";
import { StartMetadataModelExportToTargetCommandInput, StartMetadataModelExportToTargetCommandOutput } from "../commands/StartMetadataModelExportToTargetCommand";
import { StartMetadataModelImportCommandInput, StartMetadataModelImportCommandOutput } from "../commands/StartMetadataModelImportCommand";
import { StartRecommendationsCommandInput, StartRecommendationsCommandOutput } from "../commands/StartRecommendationsCommand";
import { StartReplicationCommandInput, StartReplicationCommandOutput } from "../commands/StartReplicationCommand";
import { StartReplicationTaskAssessmentCommandInput, StartReplicationTaskAssessmentCommandOutput } from "../commands/StartReplicationTaskAssessmentCommand";
import { StartReplicationTaskAssessmentRunCommandInput, StartReplicationTaskAssessmentRunCommandOutput } from "../commands/StartReplicationTaskAssessmentRunCommand";
import { StartReplicationTaskCommandInput, StartReplicationTaskCommandOutput } from "../commands/StartReplicationTaskCommand";
import { StopDataMigrationCommandInput, StopDataMigrationCommandOutput } from "../commands/StopDataMigrationCommand";
import { StopReplicationCommandInput, StopReplicationCommandOutput } from "../commands/StopReplicationCommand";
import { StopReplicationTaskCommandInput, StopReplicationTaskCommandOutput } from "../commands/StopReplicationTaskCommand";
import { TestConnectionCommandInput, TestConnectionCommandOutput } from "../commands/TestConnectionCommand";
import { UpdateSubscriptionsToEventBridgeCommandInput, UpdateSubscriptionsToEventBridgeCommandOutput } from "../commands/UpdateSubscriptionsToEventBridgeCommand";
/**
 * serializeAws_json1_1AddTagsToResourceCommand
 */
export declare const se_AddTagsToResourceCommand: (input: AddTagsToResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1ApplyPendingMaintenanceActionCommand
 */
export declare const se_ApplyPendingMaintenanceActionCommand: (input: ApplyPendingMaintenanceActionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1BatchStartRecommendationsCommand
 */
export declare const se_BatchStartRecommendationsCommand: (input: BatchStartRecommendationsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1CancelReplicationTaskAssessmentRunCommand
 */
export declare const se_CancelReplicationTaskAssessmentRunCommand: (input: CancelReplicationTaskAssessmentRunCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1CreateDataMigrationCommand
 */
export declare const se_CreateDataMigrationCommand: (input: CreateDataMigrationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1CreateDataProviderCommand
 */
export declare const se_CreateDataProviderCommand: (input: CreateDataProviderCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1CreateEndpointCommand
 */
export declare const se_CreateEndpointCommand: (input: CreateEndpointCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1CreateEventSubscriptionCommand
 */
export declare const se_CreateEventSubscriptionCommand: (input: CreateEventSubscriptionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1CreateFleetAdvisorCollectorCommand
 */
export declare const se_CreateFleetAdvisorCollectorCommand: (input: CreateFleetAdvisorCollectorCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1CreateInstanceProfileCommand
 */
export declare const se_CreateInstanceProfileCommand: (input: CreateInstanceProfileCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1CreateMigrationProjectCommand
 */
export declare const se_CreateMigrationProjectCommand: (input: CreateMigrationProjectCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1CreateReplicationConfigCommand
 */
export declare const se_CreateReplicationConfigCommand: (input: CreateReplicationConfigCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1CreateReplicationInstanceCommand
 */
export declare const se_CreateReplicationInstanceCommand: (input: CreateReplicationInstanceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1CreateReplicationSubnetGroupCommand
 */
export declare const se_CreateReplicationSubnetGroupCommand: (input: CreateReplicationSubnetGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1CreateReplicationTaskCommand
 */
export declare const se_CreateReplicationTaskCommand: (input: CreateReplicationTaskCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DeleteCertificateCommand
 */
export declare const se_DeleteCertificateCommand: (input: DeleteCertificateCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DeleteConnectionCommand
 */
export declare const se_DeleteConnectionCommand: (input: DeleteConnectionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DeleteDataMigrationCommand
 */
export declare const se_DeleteDataMigrationCommand: (input: DeleteDataMigrationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DeleteDataProviderCommand
 */
export declare const se_DeleteDataProviderCommand: (input: DeleteDataProviderCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DeleteEndpointCommand
 */
export declare const se_DeleteEndpointCommand: (input: DeleteEndpointCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DeleteEventSubscriptionCommand
 */
export declare const se_DeleteEventSubscriptionCommand: (input: DeleteEventSubscriptionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DeleteFleetAdvisorCollectorCommand
 */
export declare const se_DeleteFleetAdvisorCollectorCommand: (input: DeleteFleetAdvisorCollectorCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DeleteFleetAdvisorDatabasesCommand
 */
export declare const se_DeleteFleetAdvisorDatabasesCommand: (input: DeleteFleetAdvisorDatabasesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DeleteInstanceProfileCommand
 */
export declare const se_DeleteInstanceProfileCommand: (input: DeleteInstanceProfileCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DeleteMigrationProjectCommand
 */
export declare const se_DeleteMigrationProjectCommand: (input: DeleteMigrationProjectCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DeleteReplicationConfigCommand
 */
export declare const se_DeleteReplicationConfigCommand: (input: DeleteReplicationConfigCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DeleteReplicationInstanceCommand
 */
export declare const se_DeleteReplicationInstanceCommand: (input: DeleteReplicationInstanceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DeleteReplicationSubnetGroupCommand
 */
export declare const se_DeleteReplicationSubnetGroupCommand: (input: DeleteReplicationSubnetGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DeleteReplicationTaskCommand
 */
export declare const se_DeleteReplicationTaskCommand: (input: DeleteReplicationTaskCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DeleteReplicationTaskAssessmentRunCommand
 */
export declare const se_DeleteReplicationTaskAssessmentRunCommand: (input: DeleteReplicationTaskAssessmentRunCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DescribeAccountAttributesCommand
 */
export declare const se_DescribeAccountAttributesCommand: (input: DescribeAccountAttributesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DescribeApplicableIndividualAssessmentsCommand
 */
export declare const se_DescribeApplicableIndividualAssessmentsCommand: (input: DescribeApplicableIndividualAssessmentsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DescribeCertificatesCommand
 */
export declare const se_DescribeCertificatesCommand: (input: DescribeCertificatesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DescribeConnectionsCommand
 */
export declare const se_DescribeConnectionsCommand: (input: DescribeConnectionsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DescribeConversionConfigurationCommand
 */
export declare const se_DescribeConversionConfigurationCommand: (input: DescribeConversionConfigurationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DescribeDataMigrationsCommand
 */
export declare const se_DescribeDataMigrationsCommand: (input: DescribeDataMigrationsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DescribeDataProvidersCommand
 */
export declare const se_DescribeDataProvidersCommand: (input: DescribeDataProvidersCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DescribeEndpointsCommand
 */
export declare const se_DescribeEndpointsCommand: (input: DescribeEndpointsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DescribeEndpointSettingsCommand
 */
export declare const se_DescribeEndpointSettingsCommand: (input: DescribeEndpointSettingsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DescribeEndpointTypesCommand
 */
export declare const se_DescribeEndpointTypesCommand: (input: DescribeEndpointTypesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DescribeEngineVersionsCommand
 */
export declare const se_DescribeEngineVersionsCommand: (input: DescribeEngineVersionsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DescribeEventCategoriesCommand
 */
export declare const se_DescribeEventCategoriesCommand: (input: DescribeEventCategoriesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DescribeEventsCommand
 */
export declare const se_DescribeEventsCommand: (input: DescribeEventsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DescribeEventSubscriptionsCommand
 */
export declare const se_DescribeEventSubscriptionsCommand: (input: DescribeEventSubscriptionsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DescribeExtensionPackAssociationsCommand
 */
export declare const se_DescribeExtensionPackAssociationsCommand: (input: DescribeExtensionPackAssociationsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DescribeFleetAdvisorCollectorsCommand
 */
export declare const se_DescribeFleetAdvisorCollectorsCommand: (input: DescribeFleetAdvisorCollectorsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DescribeFleetAdvisorDatabasesCommand
 */
export declare const se_DescribeFleetAdvisorDatabasesCommand: (input: DescribeFleetAdvisorDatabasesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DescribeFleetAdvisorLsaAnalysisCommand
 */
export declare const se_DescribeFleetAdvisorLsaAnalysisCommand: (input: DescribeFleetAdvisorLsaAnalysisCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DescribeFleetAdvisorSchemaObjectSummaryCommand
 */
export declare const se_DescribeFleetAdvisorSchemaObjectSummaryCommand: (input: DescribeFleetAdvisorSchemaObjectSummaryCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DescribeFleetAdvisorSchemasCommand
 */
export declare const se_DescribeFleetAdvisorSchemasCommand: (input: DescribeFleetAdvisorSchemasCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DescribeInstanceProfilesCommand
 */
export declare const se_DescribeInstanceProfilesCommand: (input: DescribeInstanceProfilesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DescribeMetadataModelAssessmentsCommand
 */
export declare const se_DescribeMetadataModelAssessmentsCommand: (input: DescribeMetadataModelAssessmentsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DescribeMetadataModelConversionsCommand
 */
export declare const se_DescribeMetadataModelConversionsCommand: (input: DescribeMetadataModelConversionsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DescribeMetadataModelExportsAsScriptCommand
 */
export declare const se_DescribeMetadataModelExportsAsScriptCommand: (input: DescribeMetadataModelExportsAsScriptCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DescribeMetadataModelExportsToTargetCommand
 */
export declare const se_DescribeMetadataModelExportsToTargetCommand: (input: DescribeMetadataModelExportsToTargetCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DescribeMetadataModelImportsCommand
 */
export declare const se_DescribeMetadataModelImportsCommand: (input: DescribeMetadataModelImportsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DescribeMigrationProjectsCommand
 */
export declare const se_DescribeMigrationProjectsCommand: (input: DescribeMigrationProjectsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DescribeOrderableReplicationInstancesCommand
 */
export declare const se_DescribeOrderableReplicationInstancesCommand: (input: DescribeOrderableReplicationInstancesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DescribePendingMaintenanceActionsCommand
 */
export declare const se_DescribePendingMaintenanceActionsCommand: (input: DescribePendingMaintenanceActionsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DescribeRecommendationLimitationsCommand
 */
export declare const se_DescribeRecommendationLimitationsCommand: (input: DescribeRecommendationLimitationsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DescribeRecommendationsCommand
 */
export declare const se_DescribeRecommendationsCommand: (input: DescribeRecommendationsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DescribeRefreshSchemasStatusCommand
 */
export declare const se_DescribeRefreshSchemasStatusCommand: (input: DescribeRefreshSchemasStatusCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DescribeReplicationConfigsCommand
 */
export declare const se_DescribeReplicationConfigsCommand: (input: DescribeReplicationConfigsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DescribeReplicationInstancesCommand
 */
export declare const se_DescribeReplicationInstancesCommand: (input: DescribeReplicationInstancesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DescribeReplicationInstanceTaskLogsCommand
 */
export declare const se_DescribeReplicationInstanceTaskLogsCommand: (input: DescribeReplicationInstanceTaskLogsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DescribeReplicationsCommand
 */
export declare const se_DescribeReplicationsCommand: (input: DescribeReplicationsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DescribeReplicationSubnetGroupsCommand
 */
export declare const se_DescribeReplicationSubnetGroupsCommand: (input: DescribeReplicationSubnetGroupsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DescribeReplicationTableStatisticsCommand
 */
export declare const se_DescribeReplicationTableStatisticsCommand: (input: DescribeReplicationTableStatisticsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DescribeReplicationTaskAssessmentResultsCommand
 */
export declare const se_DescribeReplicationTaskAssessmentResultsCommand: (input: DescribeReplicationTaskAssessmentResultsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DescribeReplicationTaskAssessmentRunsCommand
 */
export declare const se_DescribeReplicationTaskAssessmentRunsCommand: (input: DescribeReplicationTaskAssessmentRunsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DescribeReplicationTaskIndividualAssessmentsCommand
 */
export declare const se_DescribeReplicationTaskIndividualAssessmentsCommand: (input: DescribeReplicationTaskIndividualAssessmentsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DescribeReplicationTasksCommand
 */
export declare const se_DescribeReplicationTasksCommand: (input: DescribeReplicationTasksCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DescribeSchemasCommand
 */
export declare const se_DescribeSchemasCommand: (input: DescribeSchemasCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DescribeTableStatisticsCommand
 */
export declare const se_DescribeTableStatisticsCommand: (input: DescribeTableStatisticsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1ExportMetadataModelAssessmentCommand
 */
export declare const se_ExportMetadataModelAssessmentCommand: (input: ExportMetadataModelAssessmentCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1ImportCertificateCommand
 */
export declare const se_ImportCertificateCommand: (input: ImportCertificateCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1ListTagsForResourceCommand
 */
export declare const se_ListTagsForResourceCommand: (input: ListTagsForResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1ModifyConversionConfigurationCommand
 */
export declare const se_ModifyConversionConfigurationCommand: (input: ModifyConversionConfigurationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1ModifyDataMigrationCommand
 */
export declare const se_ModifyDataMigrationCommand: (input: ModifyDataMigrationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1ModifyDataProviderCommand
 */
export declare const se_ModifyDataProviderCommand: (input: ModifyDataProviderCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1ModifyEndpointCommand
 */
export declare const se_ModifyEndpointCommand: (input: ModifyEndpointCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1ModifyEventSubscriptionCommand
 */
export declare const se_ModifyEventSubscriptionCommand: (input: ModifyEventSubscriptionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1ModifyInstanceProfileCommand
 */
export declare const se_ModifyInstanceProfileCommand: (input: ModifyInstanceProfileCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1ModifyMigrationProjectCommand
 */
export declare const se_ModifyMigrationProjectCommand: (input: ModifyMigrationProjectCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1ModifyReplicationConfigCommand
 */
export declare const se_ModifyReplicationConfigCommand: (input: ModifyReplicationConfigCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1ModifyReplicationInstanceCommand
 */
export declare const se_ModifyReplicationInstanceCommand: (input: ModifyReplicationInstanceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1ModifyReplicationSubnetGroupCommand
 */
export declare const se_ModifyReplicationSubnetGroupCommand: (input: ModifyReplicationSubnetGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1ModifyReplicationTaskCommand
 */
export declare const se_ModifyReplicationTaskCommand: (input: ModifyReplicationTaskCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1MoveReplicationTaskCommand
 */
export declare const se_MoveReplicationTaskCommand: (input: MoveReplicationTaskCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1RebootReplicationInstanceCommand
 */
export declare const se_RebootReplicationInstanceCommand: (input: RebootReplicationInstanceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1RefreshSchemasCommand
 */
export declare const se_RefreshSchemasCommand: (input: RefreshSchemasCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1ReloadReplicationTablesCommand
 */
export declare const se_ReloadReplicationTablesCommand: (input: ReloadReplicationTablesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1ReloadTablesCommand
 */
export declare const se_ReloadTablesCommand: (input: ReloadTablesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1RemoveTagsFromResourceCommand
 */
export declare const se_RemoveTagsFromResourceCommand: (input: RemoveTagsFromResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1RunFleetAdvisorLsaAnalysisCommand
 */
export declare const se_RunFleetAdvisorLsaAnalysisCommand: (input: RunFleetAdvisorLsaAnalysisCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1StartDataMigrationCommand
 */
export declare const se_StartDataMigrationCommand: (input: StartDataMigrationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1StartExtensionPackAssociationCommand
 */
export declare const se_StartExtensionPackAssociationCommand: (input: StartExtensionPackAssociationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1StartMetadataModelAssessmentCommand
 */
export declare const se_StartMetadataModelAssessmentCommand: (input: StartMetadataModelAssessmentCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1StartMetadataModelConversionCommand
 */
export declare const se_StartMetadataModelConversionCommand: (input: StartMetadataModelConversionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1StartMetadataModelExportAsScriptCommand
 */
export declare const se_StartMetadataModelExportAsScriptCommand: (input: StartMetadataModelExportAsScriptCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1StartMetadataModelExportToTargetCommand
 */
export declare const se_StartMetadataModelExportToTargetCommand: (input: StartMetadataModelExportToTargetCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1StartMetadataModelImportCommand
 */
export declare const se_StartMetadataModelImportCommand: (input: StartMetadataModelImportCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1StartRecommendationsCommand
 */
export declare const se_StartRecommendationsCommand: (input: StartRecommendationsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1StartReplicationCommand
 */
export declare const se_StartReplicationCommand: (input: StartReplicationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1StartReplicationTaskCommand
 */
export declare const se_StartReplicationTaskCommand: (input: StartReplicationTaskCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1StartReplicationTaskAssessmentCommand
 */
export declare const se_StartReplicationTaskAssessmentCommand: (input: StartReplicationTaskAssessmentCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1StartReplicationTaskAssessmentRunCommand
 */
export declare const se_StartReplicationTaskAssessmentRunCommand: (input: StartReplicationTaskAssessmentRunCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1StopDataMigrationCommand
 */
export declare const se_StopDataMigrationCommand: (input: StopDataMigrationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1StopReplicationCommand
 */
export declare const se_StopReplicationCommand: (input: StopReplicationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1StopReplicationTaskCommand
 */
export declare const se_StopReplicationTaskCommand: (input: StopReplicationTaskCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1TestConnectionCommand
 */
export declare const se_TestConnectionCommand: (input: TestConnectionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1UpdateSubscriptionsToEventBridgeCommand
 */
export declare const se_UpdateSubscriptionsToEventBridgeCommand: (input: UpdateSubscriptionsToEventBridgeCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * deserializeAws_json1_1AddTagsToResourceCommand
 */
export declare const de_AddTagsToResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<AddTagsToResourceCommandOutput>;
/**
 * deserializeAws_json1_1ApplyPendingMaintenanceActionCommand
 */
export declare const de_ApplyPendingMaintenanceActionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ApplyPendingMaintenanceActionCommandOutput>;
/**
 * deserializeAws_json1_1BatchStartRecommendationsCommand
 */
export declare const de_BatchStartRecommendationsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<BatchStartRecommendationsCommandOutput>;
/**
 * deserializeAws_json1_1CancelReplicationTaskAssessmentRunCommand
 */
export declare const de_CancelReplicationTaskAssessmentRunCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CancelReplicationTaskAssessmentRunCommandOutput>;
/**
 * deserializeAws_json1_1CreateDataMigrationCommand
 */
export declare const de_CreateDataMigrationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateDataMigrationCommandOutput>;
/**
 * deserializeAws_json1_1CreateDataProviderCommand
 */
export declare const de_CreateDataProviderCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateDataProviderCommandOutput>;
/**
 * deserializeAws_json1_1CreateEndpointCommand
 */
export declare const de_CreateEndpointCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateEndpointCommandOutput>;
/**
 * deserializeAws_json1_1CreateEventSubscriptionCommand
 */
export declare const de_CreateEventSubscriptionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateEventSubscriptionCommandOutput>;
/**
 * deserializeAws_json1_1CreateFleetAdvisorCollectorCommand
 */
export declare const de_CreateFleetAdvisorCollectorCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateFleetAdvisorCollectorCommandOutput>;
/**
 * deserializeAws_json1_1CreateInstanceProfileCommand
 */
export declare const de_CreateInstanceProfileCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateInstanceProfileCommandOutput>;
/**
 * deserializeAws_json1_1CreateMigrationProjectCommand
 */
export declare const de_CreateMigrationProjectCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateMigrationProjectCommandOutput>;
/**
 * deserializeAws_json1_1CreateReplicationConfigCommand
 */
export declare const de_CreateReplicationConfigCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateReplicationConfigCommandOutput>;
/**
 * deserializeAws_json1_1CreateReplicationInstanceCommand
 */
export declare const de_CreateReplicationInstanceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateReplicationInstanceCommandOutput>;
/**
 * deserializeAws_json1_1CreateReplicationSubnetGroupCommand
 */
export declare const de_CreateReplicationSubnetGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateReplicationSubnetGroupCommandOutput>;
/**
 * deserializeAws_json1_1CreateReplicationTaskCommand
 */
export declare const de_CreateReplicationTaskCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateReplicationTaskCommandOutput>;
/**
 * deserializeAws_json1_1DeleteCertificateCommand
 */
export declare const de_DeleteCertificateCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteCertificateCommandOutput>;
/**
 * deserializeAws_json1_1DeleteConnectionCommand
 */
export declare const de_DeleteConnectionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteConnectionCommandOutput>;
/**
 * deserializeAws_json1_1DeleteDataMigrationCommand
 */
export declare const de_DeleteDataMigrationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteDataMigrationCommandOutput>;
/**
 * deserializeAws_json1_1DeleteDataProviderCommand
 */
export declare const de_DeleteDataProviderCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteDataProviderCommandOutput>;
/**
 * deserializeAws_json1_1DeleteEndpointCommand
 */
export declare const de_DeleteEndpointCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteEndpointCommandOutput>;
/**
 * deserializeAws_json1_1DeleteEventSubscriptionCommand
 */
export declare const de_DeleteEventSubscriptionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteEventSubscriptionCommandOutput>;
/**
 * deserializeAws_json1_1DeleteFleetAdvisorCollectorCommand
 */
export declare const de_DeleteFleetAdvisorCollectorCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteFleetAdvisorCollectorCommandOutput>;
/**
 * deserializeAws_json1_1DeleteFleetAdvisorDatabasesCommand
 */
export declare const de_DeleteFleetAdvisorDatabasesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteFleetAdvisorDatabasesCommandOutput>;
/**
 * deserializeAws_json1_1DeleteInstanceProfileCommand
 */
export declare const de_DeleteInstanceProfileCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteInstanceProfileCommandOutput>;
/**
 * deserializeAws_json1_1DeleteMigrationProjectCommand
 */
export declare const de_DeleteMigrationProjectCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteMigrationProjectCommandOutput>;
/**
 * deserializeAws_json1_1DeleteReplicationConfigCommand
 */
export declare const de_DeleteReplicationConfigCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteReplicationConfigCommandOutput>;
/**
 * deserializeAws_json1_1DeleteReplicationInstanceCommand
 */
export declare const de_DeleteReplicationInstanceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteReplicationInstanceCommandOutput>;
/**
 * deserializeAws_json1_1DeleteReplicationSubnetGroupCommand
 */
export declare const de_DeleteReplicationSubnetGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteReplicationSubnetGroupCommandOutput>;
/**
 * deserializeAws_json1_1DeleteReplicationTaskCommand
 */
export declare const de_DeleteReplicationTaskCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteReplicationTaskCommandOutput>;
/**
 * deserializeAws_json1_1DeleteReplicationTaskAssessmentRunCommand
 */
export declare const de_DeleteReplicationTaskAssessmentRunCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteReplicationTaskAssessmentRunCommandOutput>;
/**
 * deserializeAws_json1_1DescribeAccountAttributesCommand
 */
export declare const de_DescribeAccountAttributesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeAccountAttributesCommandOutput>;
/**
 * deserializeAws_json1_1DescribeApplicableIndividualAssessmentsCommand
 */
export declare const de_DescribeApplicableIndividualAssessmentsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeApplicableIndividualAssessmentsCommandOutput>;
/**
 * deserializeAws_json1_1DescribeCertificatesCommand
 */
export declare const de_DescribeCertificatesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeCertificatesCommandOutput>;
/**
 * deserializeAws_json1_1DescribeConnectionsCommand
 */
export declare const de_DescribeConnectionsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeConnectionsCommandOutput>;
/**
 * deserializeAws_json1_1DescribeConversionConfigurationCommand
 */
export declare const de_DescribeConversionConfigurationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeConversionConfigurationCommandOutput>;
/**
 * deserializeAws_json1_1DescribeDataMigrationsCommand
 */
export declare const de_DescribeDataMigrationsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeDataMigrationsCommandOutput>;
/**
 * deserializeAws_json1_1DescribeDataProvidersCommand
 */
export declare const de_DescribeDataProvidersCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeDataProvidersCommandOutput>;
/**
 * deserializeAws_json1_1DescribeEndpointsCommand
 */
export declare const de_DescribeEndpointsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeEndpointsCommandOutput>;
/**
 * deserializeAws_json1_1DescribeEndpointSettingsCommand
 */
export declare const de_DescribeEndpointSettingsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeEndpointSettingsCommandOutput>;
/**
 * deserializeAws_json1_1DescribeEndpointTypesCommand
 */
export declare const de_DescribeEndpointTypesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeEndpointTypesCommandOutput>;
/**
 * deserializeAws_json1_1DescribeEngineVersionsCommand
 */
export declare const de_DescribeEngineVersionsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeEngineVersionsCommandOutput>;
/**
 * deserializeAws_json1_1DescribeEventCategoriesCommand
 */
export declare const de_DescribeEventCategoriesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeEventCategoriesCommandOutput>;
/**
 * deserializeAws_json1_1DescribeEventsCommand
 */
export declare const de_DescribeEventsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeEventsCommandOutput>;
/**
 * deserializeAws_json1_1DescribeEventSubscriptionsCommand
 */
export declare const de_DescribeEventSubscriptionsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeEventSubscriptionsCommandOutput>;
/**
 * deserializeAws_json1_1DescribeExtensionPackAssociationsCommand
 */
export declare const de_DescribeExtensionPackAssociationsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeExtensionPackAssociationsCommandOutput>;
/**
 * deserializeAws_json1_1DescribeFleetAdvisorCollectorsCommand
 */
export declare const de_DescribeFleetAdvisorCollectorsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeFleetAdvisorCollectorsCommandOutput>;
/**
 * deserializeAws_json1_1DescribeFleetAdvisorDatabasesCommand
 */
export declare const de_DescribeFleetAdvisorDatabasesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeFleetAdvisorDatabasesCommandOutput>;
/**
 * deserializeAws_json1_1DescribeFleetAdvisorLsaAnalysisCommand
 */
export declare const de_DescribeFleetAdvisorLsaAnalysisCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeFleetAdvisorLsaAnalysisCommandOutput>;
/**
 * deserializeAws_json1_1DescribeFleetAdvisorSchemaObjectSummaryCommand
 */
export declare const de_DescribeFleetAdvisorSchemaObjectSummaryCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeFleetAdvisorSchemaObjectSummaryCommandOutput>;
/**
 * deserializeAws_json1_1DescribeFleetAdvisorSchemasCommand
 */
export declare const de_DescribeFleetAdvisorSchemasCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeFleetAdvisorSchemasCommandOutput>;
/**
 * deserializeAws_json1_1DescribeInstanceProfilesCommand
 */
export declare const de_DescribeInstanceProfilesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeInstanceProfilesCommandOutput>;
/**
 * deserializeAws_json1_1DescribeMetadataModelAssessmentsCommand
 */
export declare const de_DescribeMetadataModelAssessmentsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeMetadataModelAssessmentsCommandOutput>;
/**
 * deserializeAws_json1_1DescribeMetadataModelConversionsCommand
 */
export declare const de_DescribeMetadataModelConversionsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeMetadataModelConversionsCommandOutput>;
/**
 * deserializeAws_json1_1DescribeMetadataModelExportsAsScriptCommand
 */
export declare const de_DescribeMetadataModelExportsAsScriptCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeMetadataModelExportsAsScriptCommandOutput>;
/**
 * deserializeAws_json1_1DescribeMetadataModelExportsToTargetCommand
 */
export declare const de_DescribeMetadataModelExportsToTargetCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeMetadataModelExportsToTargetCommandOutput>;
/**
 * deserializeAws_json1_1DescribeMetadataModelImportsCommand
 */
export declare const de_DescribeMetadataModelImportsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeMetadataModelImportsCommandOutput>;
/**
 * deserializeAws_json1_1DescribeMigrationProjectsCommand
 */
export declare const de_DescribeMigrationProjectsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeMigrationProjectsCommandOutput>;
/**
 * deserializeAws_json1_1DescribeOrderableReplicationInstancesCommand
 */
export declare const de_DescribeOrderableReplicationInstancesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeOrderableReplicationInstancesCommandOutput>;
/**
 * deserializeAws_json1_1DescribePendingMaintenanceActionsCommand
 */
export declare const de_DescribePendingMaintenanceActionsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribePendingMaintenanceActionsCommandOutput>;
/**
 * deserializeAws_json1_1DescribeRecommendationLimitationsCommand
 */
export declare const de_DescribeRecommendationLimitationsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeRecommendationLimitationsCommandOutput>;
/**
 * deserializeAws_json1_1DescribeRecommendationsCommand
 */
export declare const de_DescribeRecommendationsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeRecommendationsCommandOutput>;
/**
 * deserializeAws_json1_1DescribeRefreshSchemasStatusCommand
 */
export declare const de_DescribeRefreshSchemasStatusCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeRefreshSchemasStatusCommandOutput>;
/**
 * deserializeAws_json1_1DescribeReplicationConfigsCommand
 */
export declare const de_DescribeReplicationConfigsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeReplicationConfigsCommandOutput>;
/**
 * deserializeAws_json1_1DescribeReplicationInstancesCommand
 */
export declare const de_DescribeReplicationInstancesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeReplicationInstancesCommandOutput>;
/**
 * deserializeAws_json1_1DescribeReplicationInstanceTaskLogsCommand
 */
export declare const de_DescribeReplicationInstanceTaskLogsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeReplicationInstanceTaskLogsCommandOutput>;
/**
 * deserializeAws_json1_1DescribeReplicationsCommand
 */
export declare const de_DescribeReplicationsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeReplicationsCommandOutput>;
/**
 * deserializeAws_json1_1DescribeReplicationSubnetGroupsCommand
 */
export declare const de_DescribeReplicationSubnetGroupsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeReplicationSubnetGroupsCommandOutput>;
/**
 * deserializeAws_json1_1DescribeReplicationTableStatisticsCommand
 */
export declare const de_DescribeReplicationTableStatisticsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeReplicationTableStatisticsCommandOutput>;
/**
 * deserializeAws_json1_1DescribeReplicationTaskAssessmentResultsCommand
 */
export declare const de_DescribeReplicationTaskAssessmentResultsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeReplicationTaskAssessmentResultsCommandOutput>;
/**
 * deserializeAws_json1_1DescribeReplicationTaskAssessmentRunsCommand
 */
export declare const de_DescribeReplicationTaskAssessmentRunsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeReplicationTaskAssessmentRunsCommandOutput>;
/**
 * deserializeAws_json1_1DescribeReplicationTaskIndividualAssessmentsCommand
 */
export declare const de_DescribeReplicationTaskIndividualAssessmentsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeReplicationTaskIndividualAssessmentsCommandOutput>;
/**
 * deserializeAws_json1_1DescribeReplicationTasksCommand
 */
export declare const de_DescribeReplicationTasksCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeReplicationTasksCommandOutput>;
/**
 * deserializeAws_json1_1DescribeSchemasCommand
 */
export declare const de_DescribeSchemasCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeSchemasCommandOutput>;
/**
 * deserializeAws_json1_1DescribeTableStatisticsCommand
 */
export declare const de_DescribeTableStatisticsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeTableStatisticsCommandOutput>;
/**
 * deserializeAws_json1_1ExportMetadataModelAssessmentCommand
 */
export declare const de_ExportMetadataModelAssessmentCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ExportMetadataModelAssessmentCommandOutput>;
/**
 * deserializeAws_json1_1ImportCertificateCommand
 */
export declare const de_ImportCertificateCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ImportCertificateCommandOutput>;
/**
 * deserializeAws_json1_1ListTagsForResourceCommand
 */
export declare const de_ListTagsForResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListTagsForResourceCommandOutput>;
/**
 * deserializeAws_json1_1ModifyConversionConfigurationCommand
 */
export declare const de_ModifyConversionConfigurationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ModifyConversionConfigurationCommandOutput>;
/**
 * deserializeAws_json1_1ModifyDataMigrationCommand
 */
export declare const de_ModifyDataMigrationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ModifyDataMigrationCommandOutput>;
/**
 * deserializeAws_json1_1ModifyDataProviderCommand
 */
export declare const de_ModifyDataProviderCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ModifyDataProviderCommandOutput>;
/**
 * deserializeAws_json1_1ModifyEndpointCommand
 */
export declare const de_ModifyEndpointCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ModifyEndpointCommandOutput>;
/**
 * deserializeAws_json1_1ModifyEventSubscriptionCommand
 */
export declare const de_ModifyEventSubscriptionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ModifyEventSubscriptionCommandOutput>;
/**
 * deserializeAws_json1_1ModifyInstanceProfileCommand
 */
export declare const de_ModifyInstanceProfileCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ModifyInstanceProfileCommandOutput>;
/**
 * deserializeAws_json1_1ModifyMigrationProjectCommand
 */
export declare const de_ModifyMigrationProjectCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ModifyMigrationProjectCommandOutput>;
/**
 * deserializeAws_json1_1ModifyReplicationConfigCommand
 */
export declare const de_ModifyReplicationConfigCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ModifyReplicationConfigCommandOutput>;
/**
 * deserializeAws_json1_1ModifyReplicationInstanceCommand
 */
export declare const de_ModifyReplicationInstanceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ModifyReplicationInstanceCommandOutput>;
/**
 * deserializeAws_json1_1ModifyReplicationSubnetGroupCommand
 */
export declare const de_ModifyReplicationSubnetGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ModifyReplicationSubnetGroupCommandOutput>;
/**
 * deserializeAws_json1_1ModifyReplicationTaskCommand
 */
export declare const de_ModifyReplicationTaskCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ModifyReplicationTaskCommandOutput>;
/**
 * deserializeAws_json1_1MoveReplicationTaskCommand
 */
export declare const de_MoveReplicationTaskCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<MoveReplicationTaskCommandOutput>;
/**
 * deserializeAws_json1_1RebootReplicationInstanceCommand
 */
export declare const de_RebootReplicationInstanceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<RebootReplicationInstanceCommandOutput>;
/**
 * deserializeAws_json1_1RefreshSchemasCommand
 */
export declare const de_RefreshSchemasCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<RefreshSchemasCommandOutput>;
/**
 * deserializeAws_json1_1ReloadReplicationTablesCommand
 */
export declare const de_ReloadReplicationTablesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ReloadReplicationTablesCommandOutput>;
/**
 * deserializeAws_json1_1ReloadTablesCommand
 */
export declare const de_ReloadTablesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ReloadTablesCommandOutput>;
/**
 * deserializeAws_json1_1RemoveTagsFromResourceCommand
 */
export declare const de_RemoveTagsFromResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<RemoveTagsFromResourceCommandOutput>;
/**
 * deserializeAws_json1_1RunFleetAdvisorLsaAnalysisCommand
 */
export declare const de_RunFleetAdvisorLsaAnalysisCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<RunFleetAdvisorLsaAnalysisCommandOutput>;
/**
 * deserializeAws_json1_1StartDataMigrationCommand
 */
export declare const de_StartDataMigrationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<StartDataMigrationCommandOutput>;
/**
 * deserializeAws_json1_1StartExtensionPackAssociationCommand
 */
export declare const de_StartExtensionPackAssociationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<StartExtensionPackAssociationCommandOutput>;
/**
 * deserializeAws_json1_1StartMetadataModelAssessmentCommand
 */
export declare const de_StartMetadataModelAssessmentCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<StartMetadataModelAssessmentCommandOutput>;
/**
 * deserializeAws_json1_1StartMetadataModelConversionCommand
 */
export declare const de_StartMetadataModelConversionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<StartMetadataModelConversionCommandOutput>;
/**
 * deserializeAws_json1_1StartMetadataModelExportAsScriptCommand
 */
export declare const de_StartMetadataModelExportAsScriptCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<StartMetadataModelExportAsScriptCommandOutput>;
/**
 * deserializeAws_json1_1StartMetadataModelExportToTargetCommand
 */
export declare const de_StartMetadataModelExportToTargetCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<StartMetadataModelExportToTargetCommandOutput>;
/**
 * deserializeAws_json1_1StartMetadataModelImportCommand
 */
export declare const de_StartMetadataModelImportCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<StartMetadataModelImportCommandOutput>;
/**
 * deserializeAws_json1_1StartRecommendationsCommand
 */
export declare const de_StartRecommendationsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<StartRecommendationsCommandOutput>;
/**
 * deserializeAws_json1_1StartReplicationCommand
 */
export declare const de_StartReplicationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<StartReplicationCommandOutput>;
/**
 * deserializeAws_json1_1StartReplicationTaskCommand
 */
export declare const de_StartReplicationTaskCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<StartReplicationTaskCommandOutput>;
/**
 * deserializeAws_json1_1StartReplicationTaskAssessmentCommand
 */
export declare const de_StartReplicationTaskAssessmentCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<StartReplicationTaskAssessmentCommandOutput>;
/**
 * deserializeAws_json1_1StartReplicationTaskAssessmentRunCommand
 */
export declare const de_StartReplicationTaskAssessmentRunCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<StartReplicationTaskAssessmentRunCommandOutput>;
/**
 * deserializeAws_json1_1StopDataMigrationCommand
 */
export declare const de_StopDataMigrationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<StopDataMigrationCommandOutput>;
/**
 * deserializeAws_json1_1StopReplicationCommand
 */
export declare const de_StopReplicationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<StopReplicationCommandOutput>;
/**
 * deserializeAws_json1_1StopReplicationTaskCommand
 */
export declare const de_StopReplicationTaskCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<StopReplicationTaskCommandOutput>;
/**
 * deserializeAws_json1_1TestConnectionCommand
 */
export declare const de_TestConnectionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<TestConnectionCommandOutput>;
/**
 * deserializeAws_json1_1UpdateSubscriptionsToEventBridgeCommand
 */
export declare const de_UpdateSubscriptionsToEventBridgeCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateSubscriptionsToEventBridgeCommandOutput>;
